Heap-based Buffer Overflow Affecting cefsharp.wpf package, versions [,85.3.130)


0.0
high

Snyk CVSS

    Attack Complexity Low
    Availability High

    Threat Intelligence

    Exploit Maturity Mature
    EPSS 2.55% (90th percentile)
Expand this section
NVD
6.5 medium
Expand this section
SUSE
8.1 high
Expand this section
Red Hat
8.6 high

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • Snyk ID SNYK-DOTNET-CEFSHARPWPF-1023309
  • published 21 Oct 2020
  • disclosed 21 Oct 2020
  • credit Sergei Glazunov of Google Project Zero

How to fix?

Upgrade CefSharp.Wpf to version 85.3.130 or higher.

Overview

CefSharp.Wpf is a the CefSharp Chromium-based browser component (WPF control).

Affected versions of this package are vulnerable to Heap-based Buffer Overflow in Freetype.